package io.platform.sys.biz.entity;

import com.baomidou.mybatisplus.activerecord.Model;
import com.baomidou.mybatisplus.annotations.TableField;
import com.baomidou.mybatisplus.annotations.TableId;
import com.baomidou.mybatisplus.annotations.TableName;
import com.baomidou.mybatisplus.enums.IdType;
import lombok.Data;

import java.io.Serializable;

@Data
@TableName("sys_role_menu")
public class SysRoleMenu extends Model<SysRoleMenu>  implements Serializable{
private static final long serialVersionUID = 5454155825314635347L;


    /**
     * id       db_column: id
     */
    @TableId(value="id", type= IdType.AUTO)
    private Long id;


    @Override
    protected Serializable pkVal() {
        return this.id;
    }

    /**
     * 角色ID       db_column: role_id
     */
    @TableField("role_id")
    private Long roleId;

    /**
     * 菜单ID       db_column: menu_id
     */
    @TableField("menu_id")
    private Long menuId;
//columns END

}
