package io.platform.sys.biz.entity;

import com.baomidou.mybatisplus.activerecord.Model;
import com.baomidou.mybatisplus.annotations.TableField;
import com.baomidou.mybatisplus.annotations.TableId;
import com.baomidou.mybatisplus.annotations.TableName;
import com.baomidou.mybatisplus.enums.IdType;
import lombok.Data;

import java.io.Serializable;

@Data
@TableName("sys_log")
public class SysLog extends Model<SysLog>  implements Serializable{
private static final long serialVersionUID = 5454155825314635344L;


    /**
     * id       db_column: id
     */
    @TableId(value="id", type= IdType.AUTO)
    private Long id;


    @Override
    protected Serializable pkVal() {
        return this.id;
    }

    /**
     * 用户名       db_column: username
     */
    @TableField("username")
    private String username;

    /**
     * 用户操作       db_column: operation
     */
    @TableField("operation")
    private String operation;

    /**
     * 请求方法       db_column: method
     */
    @TableField("method")
    private String method;

    /**
     * 请求参数       db_column: params
     */
    @TableField("params")
    private String params;

    /**
     * 执行时长(毫秒)       db_column: time
     */
    @TableField("time")
    private Long time;

    /**
     * IP地址       db_column: ip
     */
    @TableField("ip")
    private String ip;

    /**
     * 创建时间       db_column: create_date
     */
    @TableField("create_date")
    private java.util.Date createDate;
//columns END

}
