package io.platform.sys.biz.entity;

import com.baomidou.mybatisplus.activerecord.Model;
import com.baomidou.mybatisplus.annotations.TableField;
import com.baomidou.mybatisplus.annotations.TableId;
import com.baomidou.mybatisplus.annotations.TableName;
import com.baomidou.mybatisplus.enums.IdType;
import lombok.Data;

import java.io.Serializable;

@Data
@TableName("sys_user_token")
public class SysUserToken extends Model<SysUserToken>  implements Serializable{
private static final long serialVersionUID = 5454155825314635340L;


    /**
     * userId       db_column: user_id
     */
    @TableId(value="user_id", type= IdType.INPUT)
    private Long userId;


    @Override
    protected Serializable pkVal() {
        return this.userId;
    }

    /**
     * token       db_column: token
     */
    @TableField("token")
    private String token;

    /**
     * 过期时间       db_column: expire_time
     */
    @TableField("expire_time")
    private java.util.Date expireTime;

    /**
     * 更新时间       db_column: update_time
     */
    @TableField("update_time")
    private java.util.Date updateTime;
//columns END

}
