package io.platform.sys.biz.entity;

import com.baomidou.mybatisplus.activerecord.Model;
import com.baomidou.mybatisplus.annotations.TableField;
import com.baomidou.mybatisplus.annotations.TableId;
import com.baomidou.mybatisplus.annotations.TableName;
import com.baomidou.mybatisplus.enums.IdType;
import lombok.Data;

import java.io.Serializable;

@Data
@TableName("tb_user")
public class TbUser extends Model<TbUser>  implements Serializable{
private static final long serialVersionUID = 5454155825314635351L;


    /**
     * userId       db_column: user_id
     */
    @TableId(value="user_id", type= IdType.AUTO)
    private Long userId;


    @Override
    protected Serializable pkVal() {
        return this.userId;
    }

    /**
     * 用户名       db_column: username
     */
    @TableField("username")
    private String username;

    /**
     * 手机号       db_column: mobile
     */
    @TableField("mobile")
    private String mobile;

    /**
     * 密码       db_column: password
     */
    @TableField("password")
    private String password;

    /**
     * 创建时间       db_column: create_time
     */
    @TableField("create_time")
    private java.util.Date createTime;
//columns END

}
